Subject: Re: bug#49247: 28.0.50; [Feature Request] Make tab-bar-lines dragable

From: Juri Linkov <[email-masked]>
Date: Sun, 04 Jul 2021 23:37:21 +0300

>> It should be also possible to drag a frame with the tab bar.
>
> That would require significant changes in how mouse clicks on the tab
> bar are processed.  Currently, if the click is not on some glyph of
> the tab-bar text, it is ignored.

There were also user requests to change the mouse pointer shape
to ‘hand’ when the mouse pointer is over the tab-bar tabs,
the same way as currently the mouse pointer changes to ‘hand’
when it's over the tab-line tabs.

I guess this will also require significant changes in how
mouse mouse motion events on the tab-bar are processed?
Would it be possible to implement the same handling for the tab-bar
as it's already implemented for the tab-line?

BTW, during frame dragging, window managers change the mouse pointer to
‘hand’.  But Emacs frame dragging doesn't change the mouse pointer.
Is it possible to change the mouse pointer also while dragging the
frame from Emacs?